# Remove a webhook configuration

`DELETE https://api.mothership.com/beta/webhookConfigs/{webhookConfigId}`

Sandbox: `https://sandbox.api.mothership.com/beta/webhookConfigs/{webhookConfigId}`

Removes the webhook configuration with the given `webhookConfigId`.

After a removal, Mothership sends the configuration no new events. Deliveries already queued, and their retries, still go out.

## Authorization

Send your API token as a Bearer token: `Authorization: Bearer <token>`.

## Path parameters

- `webhookConfigId` (string, required): ID of the webhook config to remove.

## Responses

### 200

Webhook config removed successfully

- `data` (object, optional)

### 404

No webhook config with the given id exists for the caller organization

- `code` (number, required) One of: `100`, `101`, `200`, `201`, `202`, `203`, `204`, `205`, `206`, `300`, `301`, `302`, `303`, `304`, `305`, `307`, `400`, `401`, `402`, `403`, `404`, `405`, `406`, `407`, `408`, `409`, `410`, `411`, `412`, `413`, `414`, `415`, `416`, `417`, `422`, `429`, `500`, `501`, `502`, `503`, `504`, `505`.
- `type` (string, required) One of: `UNKNOWN`, `NOT_FOUND`, `SERVER_ERROR`, `UNAUTHENTICATED`, `MISSING_PERMISSION`, `INVALID_REQUEST`, `RATE_LIMIT_EXCEEDED`, `CARGO_TOO_LARGE`, `NO_RATES_FOUND`, `QUOTE_NOT_PURCHASABLE`, `PAYMENT_REQUIRED`, `PAYMENT_FAILED`.
- `message` (string, required)
- `metadata` (object, optional)

## Example request

```bash
curl --request DELETE \
  --url 'https://sandbox.api.mothership.com/beta/webhookConfigs/48asjgaoi33nkl4t3lae' \
  --header "Authorization: Bearer $MOTHERSHIP_API_TOKEN" \
  --header 'Accept: application/json'
```

## Example response (200)

```json
{
  "data": {}
}
```